# module System

##
Defined in:

system.cr

##
Class Method Summary

- .cpu_count : Int32

  Returns the number of logical processors available to the system.

- .hostname : String

  Returns the hostname.

##
Class Method Detail

def self.cpu_count : Int32 #

Returns the number of logical processors available to the system.

    System.cpu_count # => 4

def self.hostname : String #

Returns the hostname.

NOTE Maximum of 253 characters are allowed, with 2 bytes reserved for storage. In practice, many platforms will disallow anything longer than 63 characters.

    System.hostname # => "host.example.org"